ZIP(5)

NAME
zip - zip archive structure

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

zip_t *archive;

DESCRIPTION
A zip represents an open zip archive and is used for all functions accessing and modifying archives.

It is created with zip_open(3), zip_open_from_source(3), or zip_fdopen(3).

It is closed with zip_close(3) (keeping changes) or zip_discard(3) (discarding changes).

All objects representing parts of an archive (like zip_file_t) are only valid while the archive remains open.

SEE ALSO
libzip(3), zip_close(3), zip_discard(3), zip_fopen(3), zip_open(3), zip_open_from_source(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>